## CamelLocalSettings

CamelLocalSettings

## Functions

const gchar * | camel_local_settings_get_path ()
gchar * | camel_local_settings_dup_path ()
void | camel_local_settings_set_path ()

## Types and Values

struct | CamelLocalSettings

## Object Hierarchy

        GObject
        ╰── CamelSettings
            ╰── CamelStoreSettings
                ╰── CamelLocalSettings
                    ├── CamelMhSettings
                    ╰── CamelSpoolSettings

## Description

## Functions

### camel_local_settings_get_path ()

    const gchar *
    camel_local_settings_get_path (CamelLocalSettings *settings);

Returns the file path to the root of the local mail store.

#### Parameters

settings | a CamelLocalSettings |

#### Returns

the file path to the local store

Since 3.4

### camel_local_settings_dup_path ()

    gchar *
    camel_local_settings_dup_path (CamelLocalSettings *settings);

Thread-safe variation of `camel_local_settings_get_path()`. Use this function when accessing `settings` from multiple threads.

The returned string should be freed with `g_free()` when no longer needed.

#### Parameters

settings | a CamelLocalSettings |

#### Returns

a newly-allocated copy of “path”

Since 3.4

### camel_local_settings_set_path ()

    void
    camel_local_settings_set_path (CamelLocalSettings *settings,
                                   const gchar *path);

Sets the file path to the root of the local mail store. Any trailing directory separator characters will be stripped off of the “path” property.

#### Parameters

settings | a CamelLocalSettings |
path | the file path to the local store |

Since 3.4

## Types and Values

### struct CamelLocalSettings

    struct CamelLocalSettings;

Contains only private data that should be read and manipulated using the functions below.

Since 3.4